polybori::groebner::MatrixMonomialOrderTables Class Reference

This class defines MatrixMonomialOrderTables. More...

`#include <MatrixMonomialOrderTables.h>`

## Public Types

typedef Exponent::idx_map_type | from_term_map_type

## Public Member Functions

| MatrixMonomialOrderTables (MonomialSet input_terms)

## Public Attributes

std::vector< Exponent > | terms_as_exp
std::vector< Exponent > | terms_as_exp_lex
std::vector< int > | ring_order2lex
std::vector< int > | lex_order2ring
from_term_map_type | from_term_map
MonomialSet | terms

## Detailed Description

This class defines MatrixMonomialOrderTables.

## Member Typedef Documentation

typedef Exponent::idx_map_type polybori::groebner::MatrixMonomialOrderTables::from_term_map_type

## Constructor & Destructor Documentation

polybori::groebner::MatrixMonomialOrderTables::MatrixMonomialOrderTables | ( | MonomialSet | input_terms) |  |

inline

## Member Data Documentation

from_term_map_type polybori::groebner::MatrixMonomialOrderTables::from_term_map

std::vector<int> polybori::groebner::MatrixMonomialOrderTables::lex_order2ring

std::vector<int> polybori::groebner::MatrixMonomialOrderTables::ring_order2lex

MonomialSet polybori::groebner::MatrixMonomialOrderTables::terms

std::vector<Exponent> polybori::groebner::MatrixMonomialOrderTables::terms_as_exp

std::vector<Exponent> polybori::groebner::MatrixMonomialOrderTables::terms_as_exp_lex

The documentation for this class was generated from the following files:

- MatrixMonomialOrderTables.h
- MatrixMonomialOrderTables.cc